콘텐츠로 건너뛰기

Mureka 9.5 Podcast Generation

통합

모델 id mureka/api/generate/podcast
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/podcast?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "conversations": [
      {
        "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "voice": "Ethan"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: ≈$0.019 19 API 크레딧 이 페이지에서 실행

API 키 받기
Mureka 오디오 #podcast#speech#audio-generation

턴별 음성이 지정된 대화 턴의 순서 목록에서 팟캐스트 오디오를 생성합니다

Mureka · 오디오

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

팟캐스트 오디오 생성을 위한 대화 턴의 순서 목록입니다.

고급 enable_safety_checker
POST /run/mureka/api/generate/podcast?wait=20 견적 → $0.019
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/podcast?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "conversations": [
      {
        "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "voice": "Ethan"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Mureka 9.5 Podcast Generation 정보

필수 `conversations` 배열에는 텍스트와 음성 선택이 포함된 1~10개의 순서 있는 턴이 들어갑니다. 결과는 오디오 파일, 가능한 경우 밀리초 단위의 재생 시간, 그리고 재사용 가능한 `song_id`입니다.

매개변수

이름유형 기본값허용됨 설명
conversations필수
유형object[]
≤ 10개 항목
팟캐스트 오디오 생성을 위한 대화 턴의 순서 목록입니다.
conversations[].text필수
유형string
1 – 400 characters
현재 대화 턴의 음성 텍스트이며 400자로 제한됩니다.
conversations[].voice필수
유형enum
EthanVictoriaJakeLunaEmma
현재 대화 턴에 할당된 기본 음성입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "mureka/api/generate/podcast",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 19,
    "usd": "0.019",
    "charged": 19,
    "refunded": 0
  },
  "input": {
    "conversations": [
      {
        "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "voice": "Ethan"
      }
    ]
  },
  "output": {
    "song_id": "string",
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "duration": 5,
    "lyrics_sections": [
      {
        "section_type": "intro",
        "start": 1,
        "end": 1,
        "lines": [
          {}
        ]
      }
    ]
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
song_id
string | nullsong_id를 허용하는 엔드포인트에서 재사용할 수 있는 오디오 식별자입니다.
audio
object {url, content_type, file_name, file_size}생성으로 만들어진 오디오 파일입니다.
duration
integer | null사용 가능한 경우 밀리초로 측정한 생성된 오디오 길이입니다.
lyrics_sections
array of object {section_type, start, end, lines} | null사용 가능한 경우 생성된 오디오의 타이밍 정보가 포함된 가사 구간입니다.

더 많은 모델: 오디오

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/mureka/api/generate/podcast.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt